%define name csmash
%define version 0.6.3
%define release 2mdk
%define prefix %{_prefix}

Name: %{name}
Summary: CannonSmash, a 3D tabletennis game
Version: %{version}
Release: %{release}
Source: http://download.SourceForge.net/CannonSmash/%{name}-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
URL: http://CannonSmash.sourceforge.net/
License: GPL
Group: Games/Sports
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-static-libs
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gcc-c++
BuildRequires:	gtk+-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libjpeg-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategy of tabletennis on computer game.

%prep
%setup -q

%build
%configure
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}/win32

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Sports" title="Cannon Smash" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README README.en
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.3-2mdk
- BuildRequires

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- new version
- create PNG icons

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-2mdk
- BuildRequires: libogg-devel oggvorbis-devel

* Mon Aug 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-1mdk
- new version

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-3mdk
- BuildRequires:	gtk+-devel
- BuildRequires:	libSDL-devel
- Removed BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-1mdk
- version 0.6.1

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- version 0.6.0
- new SDL

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- un-dadouize

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.6-3mdk
- BuildRequires: Mesa-common-devel

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.6-2mdk
- recompile against newest libstdc++

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- first mdk version. thanks to chmou. this game rocks!

